package FlattingTemplate::TemplateDependence;
use strict;

@FlattingTemplate::TemplateDependence::ISA = qw( MT::Object );
__PACKAGE__->install_properties({
    column_defs => {
        'id' => 'integer not null auto_increment',
        'template_id' => 'integer not null',
        'parent_id' => 'integer not null',
        'template_type' => 'string(25)',
    },
    indexes => {
        'template_id' => 1,
        'parent_id' => 1,
        'template_type' => 1,
    },
    child_of => 'MT::Template',
    datasource => 'templatedependence',
    primary_key => 'id',
});

1;